## net.sf.saxon.expr.instruct
Interface ITemplateCall

All Known Implementing Classes:
  ApplyImports, ApplyTemplates, CallTemplate, NextMatch, StreamingApplyTemplates

    public interface ITemplateCall

Method Summary
`WithParam[]` `getActualParams()` Get the actual parameters passed to the called template
`WithParam[]` `getTunnelParams()` Get the tunnel parameters passed to the called template

Method Detail

### getActualParams

    WithParam[] getActualParams()

  Get the actual parameters passed to the called template

  Returns:
    the non-tunnel parameters

### getTunnelParams

    WithParam[] getTunnelParams()

  Get the tunnel parameters passed to the called template

  Returns:
    the tunnel parameters

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.